Package org.globus.ftp.dc

# Class Task

java.lang.Object
org.globus.ftp.dc.Task

Direct Known Subclasses:
  `ActiveConnectTask`, `ActiveStartTransferTask`, `GridFTPActiveConnectTask`, `PassiveConnectTask`

public abstract class Task extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`complete`
`protected Exception`
`exception`

## Constructor Summary

Constructors
Constructor
Description
`Task()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`execute()`
`void`
`setComplete(Exception e)`
`void`
`stop()`
`Exception`
`waitFor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### complete

protected boolean complete

### exception

protected Exception exception

## Constructor Details

### Task

public Task()

## Method Details

### execute

public abstract void execute() throws Exception

Throws:
  `Exception`

### stop

public void stop()

### setComplete

public void setComplete(Exception e)

### waitFor

public Exception waitFor()